<div [hidden]="!listMemo" >   
<!-- style="border:1px solid black" -->
    <!-- [style.border]= "1px solid black " -->
    <!-- [ngStyle]= "{'border': '1px solid black;', 'color':'black'}" -->
    <div class="ui-g" >
        <div class="ui-g-12  ">
            <h1>{{'mpmApp.vehicleSalesOrder.memoKoreksi'|translate}}</h1>        
        </div>
        
        <div  class="kotak" >            
            
            <div class="ui-g-12  ">
                <div class="ui-g-2">
                    {{'mpmApp.vehicleSalesOrder.noIVU'|translate}}
                </div>
                <div class="ui-g-4">
                    <input pInputText type="text" style="width: 150px"                     
                    [(ngModel)]="cariNoInput" />                    
                </div>
                <div class="ui-g-2">
                    <button type="button"
                        [routerLink]="['/', { outlets: { popup: 'vehicle-sales-billing-lov'  } }]"
                        replaceUrl="true"                         
                        label="cari"
                        class="btn btn-danger btn-block">
                        <span class="fa fa-pencil"></span>
                        <!-- <span jhiTranslate="entity.action.edit"> </span> -->
                    </button>                           
                </div>                
            </div>
            
            <div class="ui-g-12">
                <hr>
            </div>

            <div class="ui-g-12  ">
                <div class="ui-g-2">
                    {{'mpmApp.vehicleSalesOrder.noIVU'|translate}}
                </div>
                <div class="ui-g-8">
                    <div *ngIf="vehicleSalesBilling">
                        {{vehicleSalesBilling.billingNumber}}
                    </div>
                    
                </div>
            </div>
                    
            <div class="ui-g-12  ">
                <div class="ui-g-2">
                    {{'mpmApp.vehicleSalesOrder.noKa'|translate}}
                </div>
                <div class="ui-g-4">
                    <input pInputText type="text" style="width: 150px"  />
                </div>
                <div class="ui-g-2">
                    <button pButton type="button" label="Add" class="ui-button-danger btn-block"></button>            
                </div>
            </div>
            
            <div class="ui-g-12">
                <hr>
            </div>           
            
            <div class="ui-g-12  ">
                <div class="ui-g-2">
                    {{'mpmApp.vehicleSalesOrder.noMemo'|translate}}
                </div>
                <div class="ui-g-8">
                    <input pInputText type="text" style="width: 150px"  />
                </div>        
            </div>
        
            <div class="ui-g-12  ">
                <div class="ui-g-2">
                    {{'mpmApp.vehicleSalesOrder.dateMemo'|translate}}
                </div>
                <div class="ui-g-8">
                    <p-calendar inputId="field_dateCreate2" name="input_memo_date" 
                        dateFormat="dd-M-yy" 
                        [showIcon]="true"
                        [(ngModel)]="tglMemo"
                        ></p-calendar>
                </div>        
            </div>
            
            <div class="ui-g-12">
                <table class="table">
                    <thead>
                        <th scope="col">{{'mpmApp.vehicleSalesOrder.codeType'|translate}}</th>
                        <th scope="col">{{'mpmApp.vehicleSalesOrder.originColor'|translate}}</th>
                        <th scope="col">{{'mpmApp.vehicleSalesOrder.originNoka'|translate}}</th>
                        <th scope="col">{{'mpmApp.vehicleSalesOrder.newColor'|translate}}</th>
                        <th scope="col">{{'mpmApp.vehicleSalesOrder.newNoka'|translate}}</th>
                        <th scope="col">{{'mpmApp.vehicleSalesOrder.koreksi'|translate}}</th>
                    </thead>
                    <tbody>
                        <tr *ngFor="let billingItem of billingItems">                
                            <td>{{billingItem.itemDescription}}</td>
                            <td>{{billingItem.idFeature}}</td>
                            <td>noka</td>
                            <td>warnabaru</td>
                            <td>nokA baru</td>
                            <td>
                                <button pButton type="button" 
                                    label="Ganti Unit" 
                                    class="ui-button-danger"
                                    (click)="memoGantiUnit()"
                                ></button>            
                            </td> 
                        </tr>
                    </tbody>
                </table>
            </div>
        
            <div class="ui-g-12  ">
                <div class="ui-g-4">
                    <button pButton type="button" label="Ganti Komposisi" class="ui-button-danger btn-block" ></button>            
                </div>
                <div class="ui-g-4">
                    <button pButton type="button" label="Create Memo" class="ui-button-danger btn-block"></button>            
                </div>        
            </div>
        </div>    
        
    </div>
</div>
<div [hidden]="listMemo">
    <div class="ui-g" >
        <div class="ui-g-12  ">
            <h4>{{'mpmApp.vehicleSalesOrder.memoKoreksi'|translate}}</h4>        
        </div>
    
        <div class="kotak">
            <div class="ui-g-12  ">
                <div class="ui-g-2">
                    {{'mpmApp.vehicleSalesOrder.noIVU'|translate}}
                </div>
                <div class="ui-g-4">
                    <input pInputText type="text" style="width: 150px"  />
                </div>            
            </div>
            
            <div class="ui-g-12  ">            
                <h3>{{'mpmApp.vehicleSalesOrder.detailKendaraan'|translate}}</h3>                     
            </div>

            <div class="ui-g-12  ">
                <div class="ui-g-2">
                    {{'mpmApp.vehicleSalesOrder.codeType'|translate}}
                </div>
                <div class="ui-g-4">
                    <input pInputText type="text" style="width: 150px"  />
                </div>            
            </div>
            <hr>
            <div class="ui-g-12  ">
                <div class="ui-g-2">
                    {{'mpmApp.vehicleSalesOrder.codefeature'|translate}}
                </div>
                <div class="ui-g-8">
                    <input pInputText type="text" style="width: 150px"  />
                </div>        
            </div>
        
            <div class="ui-g-12  ">
                <div class="ui-g-2">
                    {{'mpmApp.vehicleSalesOrder.year'|translate}}
                </div>
                <div class="ui-g-8">
                    <input pInputText type="text" style="width: 150px"  />
                </div>        
            </div>    

            <div class="ui-g-12  ">
                <div class="ui-g-2">
                    {{'mpmApp.vehicleSalesOrder.noKa'|translate}}
                </div>
                <div class="ui-g-8">
                    <input pInputText type="text" style="width: 150px"  />
                </div>        
            </div>

            <div class="ui-g-12  ">
                <div class="ui-g-2">
                    {{'mpmApp.vehicleSalesOrder.noMachine'|translate}}
                </div>
                <div class="ui-g-8">
                    <input pInputText type="text" style="width: 150px"  />
                </div>        
            </div>
            
            <div class="ui-g-12  ">            
                <hr>
            </div>
        

            <div class="ui-g-12  ">            
                <h4>{{'mpmApp.vehicleSalesOrder.perubahan'|translate}}</h4> 
            </div>

            <div class="ui-g-12  ">
                
                <!-- <div class="ui-g-8"> -->
                    <div class="ui-g radiobuttons">
                        <div class="ui-g-12">
                            <p-radioButton name="ganti" value="1" ></p-radioButton>
                            <label class="ui-widget">{{'mpmApp.vehicleSalesOrder.changeNokaNosin'|translate}}</label>
                        </div>

                        <div class="ui-g-12">
                            <div class="ui-g-6">
                                <p-radioButton name="ganti" value="2" ></p-radioButton>
                                <label class="ui-widget">{{'mpmApp.vehicleSalesOrder.changeColor'|translate}}</label>
                            </div>
                            <div class="ui-g-6">
                                {{'mpmApp.vehicleSalesOrder.newColor'|translate}}
                                <p-dropdown [options]="cariColor" [(ngModel)]="selectedColor" [autoWidth]="false" >                                    
                                    colors
                                    <!-- <ng-template let-color pTemplate="item">
                                        <div class="ui-helper-clearfix" style="position: relative;height: 25px;">                                        
                                            <div style="font-size:14px;float:right;margin-top:4px">{{color.description}}</div>
                                        </div>
                                    </ng-template> -->
                                </p-dropdown  >                            
                            </div>          
                            
                            <p-autoComplete [(ngModel)]="cariColor" [suggestions]="colors"  [dropdown]="true"
(completeMethod)="search($event)">
</p-autoComplete>
                        </div>                                        
                    </div>   
                <!-- </div> -->
            </div>        
        
            <div class="ui-g-12  ">
                <div class="ui-g-4">
                    <button pButton type="button" label="Ganti Unit" class="ui-button-danger btn-block" ></button>            
                </div>            
                <div class="ui-g-4">
                    
                </div>            
                <div class="ui-g-4">
                    <button pButton type="button" (click)="closeForm()" label="close" class="ui-button-danger btn-block" ></button>            
                </div>            
                
            </div>

        <!-- END KOTAK -->
        </div>

    </div>
</div>

